Bug 55222 - (NET, TULIP)tulip.o stops responding intermittently with 2.4.9-smp-i686 kernel
(NET, TULIP)tulip.o stops responding intermittently with 2.4.9-smp-i686 kernel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-27 11:39 EDT by Andrew Bradford
Modified: 2013-07-02 22:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Bradford 2001-10-27 11:39:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2.1) Gecko/20010901

Description of problem:
After a period of time, 25 minutes to 36 hours, tulip.o will stop
responding in the 2.4.9-smp-i686 kernel(stock or compiled using source with
RH's kernel-2.4.9-i686-smp.config.) TULIP_MWI and TULIP_MMIO configurations
do not appear to correct the problem.
The problem has been verified with 2.4.9-7 under RH7.2 and 2.4.9-6 under RH7.1.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Update to 2.4.9
2. Wait
3.
	

Actual Results:  No traffic is able to get through. /sbin/ifconfig shows
eth0 RX incrementing but TX remains the same.

Additional info:

The network can be restored through ifdown eth0 and ifup eth0 though the
tulip module did need to be rmmod'ed at one point.
No problems have been experienced with tulip.o under the up-i586 version of
2.4.9 running under 7.1.
Due to the length of time to reproduce the error, I have not been able to
verify whether the up-i686 version of the kernel causes the same
problem(testing system == main workstation.)
Comment 1 Arjan van de Ven 2001-10-27 11:48:28 EDT
There is also the version of tulip we shipped in 2.4.2-2 and 2.4.3-12 called
tulip_old.o ; can you see if that works fine in your prefered configuration ?
(I'm considering making the tulip_old the default due to your problem and one or
two similar reports)
Comment 2 Paolo Galtieri 2001-10-30 00:40:29 EST
I installed 7.2 on a system with a netgear FA310TX ethernet card (tulip) and
after about 10 - 15 minutes (1800 pings) my 7.2 system stopped responding.  An
ifdown, an rmmod of tulip.o, and an ifup fixed the problem.
Comment 3 Christopher Wong 2001-12-13 11:11:13 EST
I have seen the same problem on a non-SMP i686 kernel, RH 7.2 kernel 2.4.9-13

on a Duron/VIA KT133a system with a Netgear FA310TX card. The tulip driver 

reports a "Lite-On 82c168 PNIC rev 32". Unfortunately, this problem is hard to 

reproduce. I have seen it happen only once under heavy network load (copying

many messages from a local folder to an IMAP folder on the server in question).

As others report, network traffic stops but a "service network restart" got things

moving again.
Comment 4 Andrew Bradford 2001-12-13 18:00:44 EST
I have verified that tulip_old.o does indeed work--I now have two smp-i686
systems that are both running LNE100TXs and have a two week uptime on both with
no network interruptions.

Change `alias eth0 tulip' to `alias eth0 tulip_old' in /etc/modules.conf to correct.
Comment 5 Olivier "ceituna" LAMBERT 2003-07-17 13:02:17 EDT
found same problem with Intel EtherExpress 1000 (e1000)... :(

I use a Dell PowerEdge 1650, with 1G RAM, and two CPU...

Kernel : 2.4.7-10smp
Comment 6 Bugzilla owner 2004-09-30 11:39:13 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.